Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Class AbstractBasicInterceptorProvider

    java.lang.Object
      org.apache.cxf.interceptor.AbstractBasicInterceptorProvider

All Implemented Interfaces:
  InterceptorProvider

    public abstract class AbstractBasicInterceptorProvider

extends java.lang.Object
implements InterceptorProvider

Constructor Summary
`AbstractBasicInterceptorProvider()`

Method Summary
`java.util.List<Interceptor>` | `getInFaultInterceptors()` Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getInInterceptors()` Returns the list of interceptors attached to the incoming interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutFaultInterceptors()` Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
`java.util.List<Interceptor>` | `getOutInterceptors()` Returns the list of interceptors attached to the outgoing interceptor chain of the object.
`void` | `setInFaultInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setInInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setOutFaultInterceptors(java.util.List<Interceptor> interceptors)`
`void` | `setOutInterceptors(java.util.List<Interceptor> interceptors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBasicInterceptorProvider

    public AbstractBasicInterceptorProvider()

Method Detail

### getOutFaultInterceptors

    public java.util.List<Interceptor> getOutFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.

  Specified by:
    `getOutFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing fault interceptor chain

### getInFaultInterceptors

    public java.util.List<Interceptor> getInFaultInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.

  Specified by:
    `getInFaultInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming fault interceptor chain

### getInInterceptors

    public java.util.List<Interceptor> getInInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.

  Specified by:
    `getInInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` incoming interceptor chain

### getOutInterceptors

    public java.util.List<Interceptor> getOutInterceptors()

  Description copied from interface: `InterceptorProvider`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

  Specified by:
    `getOutInterceptors` in interface `InterceptorProvider`
  Returns:
    `List` outgoing interceptor chain

### setInInterceptors

    public void setInInterceptors(java.util.List<Interceptor> interceptors)

### setInFaultInterceptors

    public void setInFaultInterceptors(java.util.List<Interceptor> interceptors)

### setOutInterceptors

    public void setOutInterceptors(java.util.List<Interceptor> interceptors)

### setOutFaultInterceptors

    public void setOutFaultInterceptors(java.util.List<Interceptor> interceptors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF